[meta-ti] [PATCH 1/2] recipes-bsp: Add recipe for PowerVR SGX544MP2 kernel drivers

Mrinmayee Hingolikar mrinmayee at ti.com
Mon Jul 1 05:31:38 PDT 2013


* The PowerVR SGX544MP2 is found on omap5 and dra7xx devices. This
  recipe adds support for the PowerVR graphics subsystem.

Signed-off-by: Mrinmayee Hingolikar <mrinmayee at ti.com>
Signed-off-by: Siddharth Heroor <heroor at ti.com>
---
 .../powervr-drivers/omapdrm-pvr_1.9.2253347.bb     |   42 ++++++++++++++++++++
 1 files changed, 42 insertions(+), 0 deletions(-)
 create mode 100644 recipes-bsp/powervr-drivers/omapdrm-pvr_1.9.2253347.bb

diff --git a/recipes-bsp/powervr-drivers/omapdrm-pvr_1.9.2253347.bb b/recipes-bsp/powervr-drivers/omapdrm-pvr_1.9.2253347.bb
new file mode 100644
index 0000000..edb2682
--- /dev/null
+++ b/recipes-bsp/powervr-drivers/omapdrm-pvr_1.9.2253347.bb
@@ -0,0 +1,42 @@
+DESCRIPTION =  "Kernel drivers for the PowerVR SGX chipset found in the omap5 SoCs"
+HOMEPAGE = "http://git.ti.com"
+LICENSE = "GPLv2"
+
+LIC_FILES_CHKSUM = "file://MIT-COPYING;md5=8c2810fa6bfdc5ae5c15a0c1ade34054"
+
+inherit module 
+
+SRC_URI = "git://git.ti.com/graphics/omap5-sgx-ddk-linux.git;protocol=git"
+S = "${WORKDIR}/git"
+
+SRCREV = "6668f4ea0bbf7e3df7f72dc2230ab8da1e748b2d"
+PR = "${MACHINE_KERNEL_PR}"
+
+do_compile() {
+    cd ${S}/eurasiacon/build/linux2/omap5430_linux
+    oe_runmake KERNELDIR="${STAGING_KERNEL_DIR}"
+}
+
+do_install() {
+    mkdir -p ${D}/lib/modules/${KERNEL_VERSION}/extra/
+    cp ${S}/eurasiacon/binary2_omap5430_linux_release/target/kbuild/omapdrm_pvr.ko \ 
+    ${D}/lib/modules/${KERNEL_VERSION}/extra/
+}
+
+FILES_omapdrm-pvr = "/lib/modules/${KERNEL_VERSION}/extra/omapdrm_pvr.ko"
+RDEPENDS_omapdrm-pvr += "update-modules"
+
+pkg_postinst_omapdrm-pvr () {
+#!/bin/sh
+if [ -n "$D" ]; then
+        exit 1
+fi
+
+depmod -a
+update-modules || true
+}
+
+pkg_postrm_omapdrm-pvr () {
+#!/bin/sh
+update-modules || true
+}
-- 
1.7.0.4




More information about the meta-ti mailing list